package fr.dgac.ivy;

/**
 * this interface specifies the methods of a BindListener
 *
 * @author	Yannick Jestin
 * @author	<a href="http://www.tls.cena.fr/products/ivy/">http://www.tls.cena.fr/products/ivy/</a>
 *
 * Changelog:
 */

public interface IvyBindListener extends java.util.EventListener {

  /**
   * invoked when a Ivy Client performs a bind
   * @param client the peer
   * @param int the regexp ID
   * @param regexp the regexp
   */
  public abstract void bindPerformed(IvyClient client,int id, String regexp);

  /**
   * invoked when a Ivy Client performs a unbind
   * @param client the peer
   * @param int the regexp ID
   * @param regexp the regexp
   */
  public abstract void unbindPerformed(IvyClient client,int id,String regexp);

}
